#ifndef OPTIONS_HH
# define OPTIONS_HH

struct Options {
  Options();

  void merge(const Options &);
  Options &getoptions(int argc, char *argv[]);
  Options getoptions(const string file);
  void usage(const char *argv0) const;
  friend ostream &operator<<(ostream &, const Options &);


  string server;
  int port; //-1 undef
  string login;
  string pass;
  int verbose; //0=false, 1=true, -1=undef
  string scriptdir;
  string conffile;
  int retrydelay; //-1 undef
  int daemon;
};

#endif
